Overview: 8x8 Contact Center for admins

8x8 Contact Center administrators use 8x8 Configuration Manager platform to set up their tenants. Administrators can use a graphical user interface (GUI) to manage all components in a tenant. 8x8 Configuration Manager is easy to use and requires no special software or hardware to run. It is 100% cloud-based and accessible from anywhere and anytime as long as you have a computer and Internet access. Using 8x8 Configuration Manager, administrators can set up agents and supervisors, create roles and assign tasks, create campaigns, broadcast messages, create wallboards, and much more.

Use 8x8 Configuration Manager to:

  • Create and configure your contact center's communication channels, interaction queues, agent groups, agent accounts, and the optional Status Code and Transaction Codes features.
  • Customize the tools and features available to your agents.
  • Define security policies for the tenant.
  • Customize the Local CRM to match your customer resource management requirements.
  • Provide Internet access to your contact center's channels with a 8x8 Contact Center Support Center.
  • Create and run campaigns based on phone media.
  • Integrate your 8x8 Contact Center with an External CRM, such as NetSuite or Salesforce.
  • Send broadcast messages to your 8x8 Contact Center groups.
  • Define status codes to indicate the reasons for agents' change of status.
  • Define transaction codes to indicate the purpose or outcome of interactions.

For details about our latest 8x8 Contact Center features, see What's New for Administrators. See Get Started and Understand the Interface in this guide to learn how to start.

System requirements

Each administrator requires a computer equipped with a browser. We fully support the following browsers for 8x8 Contact Center

  • Google Chrome (latest version)
  • Mozilla Firefox (latest version)
  • Microsoft Edge (Chromium)

We do our best to support the following browsers for 8x8 Contact Center:

  • Microsoft Internet Explorer 11 (latest version)
  • Apple Safari (latest version)

You can test your current browser's security standard compatibility. For information about agent workstation technical requirements, see your contact center supervisor, or refer to the Technical Requirements document for Agents.

Known Issue: If you use Internet Explorer to run 8x8 Contact Center applications, you may encounter high memory usage. To resolve this issue, clear your browser cookies and cache, activate the setting to clear history, clear history on exit, and reboot.

Note: We do not support 8x8 Contact Center on mobile browsers.

Note: Firefox requires the QuickTime plug-in for audio features.

Note: To maintain uninterrupted access, update your web browsers or SSL libraries to the latest available versions. Attempts to access 8x8 web portals on a computer without a TLS 1.2+ compliant browser or SSL library prevents you from configuring your services.

Note: For APIs customization in the 8x8 Contact Center, check with your system administrators or developers to ensure that the system SSL libraries are updated to support TLS 1.2 or better. Affected products may include, but are not limited to, older distributions of Linux-based operating systems (using old versions of OpenSSL) or Java Runtime Environments (JRE) older than 1.8.